Subject: Re: bug#64791: 30.0.50; [PATCH] Fix dired mismatch on some filenames

From: Stefan Kangas <[email-masked]>
Date: Mon, 4 Sep 2023 12:22:58 -0700

Po Lu <[email-masked]> writes:

> The popular name for GNU ls is actually `ls', given that you install
> Coreutils from the release tarball.

I doubt anyone would make install GNU coreutils on top of a BSD
userland, because there would be no end to the breakage that would
create.  That's the exact reason why the 'popular name' on BSD is "gls".

> Favoring `gls' over `ls' will lead to Emacs overlooking a potentially
> newer Coreutils installation as long as one from the package manager
> is already present.

I don't think I understand what situation you have in mind here.

> Have the BSDs abjured the nasty habit of placing site software in a
> single /usr/local directory?

They have not.